<?php
/* $Id: config.inc.php 73 2011-01-16 16:09:15Z sarterm $ */
global $cfgIBDIN;
if (!isset($cfgIBDIN["useCache"])) {
    /* 
     * Utilisation ou non d'un cache pour les fichiers php_browscap.ini
     * L'utilisation de ce cache permet des gains d'un facteur 3 sur le temps
     * d'initialisation.
     */
    $cfgIBDIN["useCache"] = true;
}
if (!isset($cfgIBDIN["useCacheAgents"])) {
    /*
     * Utilisation ou non d'un cache des agents déjà taités. En situation
     * réelle d'analyse des agents visitant un site, les gains varient d'un
     * facteur 4 à 8 selon les bases utilisées et la façon de traiter plusieurs
     * agents à la suite.
     */
    $cfgIBDIN["useCacheAgents"] = false;
}
if (!isset($cfgIBDIN["maxCache"])) {
    /*
     * Taille limite du cache des agents traités. Si vous obtenez des erreurs
     * d'allocation mémoire lors du chargement du cache, diminuez cette valeur.
     * 
     * Attention : une valeur inférieure à quelques centaines de Ko peut avoir
     * un impact négatif sur les performances. Dans ce cas, désactivez
     * l'utilisation du cache.
     */
    $cfgIBDIN["maxCache"] = 2*1024*1024; // 2 Mio
}
?>